=== debian/changelog ===
screengrab (2.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 05 Jan 2023 12:15:05 +0800

screengrab (2.4.0-3) unstable; urgency=medium

  * Update d/watch for GitHub.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 05 Jan 2023 00:21:40 +0800

screengrab (2.4.0-2) unstable; urgency=medium

  * Merge to unstable.
  * Bump Standards-Version to 4.6.2:
    * Add Rules-Requires-Root: no in d/control.
  * Bump compat to 13:
    * Remove unnecessary -Wl,--as-needed in d/rules.
  * Add d/upstream/metadata.
  * Update d/copyright.
  * Fix d/lintian-overrides.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 05 Jan 2023 00:08:37 +0800

screengrab (2.4.0-1) experimental; urgency=medium

  * Team Upload

  [ Andrew Lee (李健秋) ]
  * Add debian/salsa-ci.yml file.
  * Update debian/upstream/signing-key.asc.
  * New upstream version 2.3.0

  [ suman rajan ]
  * New upstream version 2.4.0
  * debian/copyright: Added cc-by-4.0 license
  * debian/control: bumped depends version for libqt5xdg-dev
  * salsa-ci.yml: Added release experimental

 -- suman rajan <suman@protonmail.com>  Thu, 14 Jul 2022 00:21:31 +0530
