=== debian/rules ===
--- 
+++ 
@@ -21,3 +21,7 @@
 	    -DSG_GLOBALSHORTCUTS=OFF \
 	    -DUPDATE_TRANSLATIONS=OFF \
 	    -DCMAKE_BUILD_TYPE=RelWithDebInfo
+
+# No dbgsym packages:
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
