=== debian/changelog ===
screengrab (2.7.0-2) unstable; urgency=medium

  * debian/control: build-deps on qttools5-dev. (Closes:#1078319)
  * debian/copyright: added myself.
  * debian/control: bump to Standards-version to 4.7.0, no changes needed.

 -- Macy Lin <macy@debconf.org>  Sat, 07 Sep 2024 19:55:31 +0800

screengrab (2.7.0-1) unstable; urgency=medium

  * New upstream version 2.7.0
  * debian/control: build-deps on libkf5windowsystem-dev (>=5.101.0~).
  * debian/control: build-deps on libqt5xdg-dev (>= 3.12.0~).

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sun, 10 Dec 2023 17:44:52 +0100

screengrab (2.6.0-1) unstable; urgency=medium

  * New upstream version 2.6.0
  * debian/control: Update team email to <team+lxqt@tracker.debian.org>.
  * debian/control: cleanup build-deps.
  * debian/control: build-deps on libqt5xdg-dev (>= 3.11.0~).
  * debian/control: build-deps on libkf5windowsystem-dev (>=5.36.0~).
  * debian/control: build-deps on libqt5x11extras5-dev (>=5.15.0~).
  * debian/copyright: update.
  * debian/rules: cleanup.
  * debian/upstream/metadata: drop obsolete field Name.
  * debian/upstream/metadata: update url for git repo.
  * debian/salsa-ci.yml: drop build against to experimental.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sun, 30 Jul 2023 22:14:08 +0200
