=== debian/control ===
Source: screengrab
Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: graphics
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libkf5windowsystem-dev (>=5.101.0~),
               libqt5x11extras5-dev (>=5.15.0~),
               libqt5xdg-dev (>= 3.12.0~),
               libx11-xcb-dev,
               libxcb-xfixes0-dev [!kfreebsd-any],
               lxqt-build-tools,
               qttools5-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/screengrab
Vcs-Git: https://salsa.debian.org/lxqt-team/screengrab.git
Homepage: https://github.com/lxqt/screengrab
Rules-Requires-Root: no

Package: screengrab
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Crossplatform tool for getting screenshots
 Screengrab working in Linux and Windows. The program uses Qt and is
 independent of any desktop environment.
 Main features:
  * Get desktop screenshots
  * Get active window screenshots
  * Get secreenshots of desktop selection area
  * Copy screenshot to clipboard
  * Saving your image files in formats PNG or JPEG or BMP
  * Ability to set delay in getting screenshots (from 1 to 90 seconds)
