=== debian/changelog ===
screengrab (2.8.0-1~exp1) experimental; urgency=medium

  [ Severus Septimius ]
  * New upstream release 2.8.0
  * debian/control: bump dep on libkf5windowsystem-dev ->
    libkf6windowsystem-dev
  * debian/control: remove dep on libqt5x11extras5-dev
  * debian/control: bump dep on libqt5xdg-dev -> libqt6xdg-dev
  * debian/control: bump dep on qttools5-dev -> qt6-tools-dev

  [ Andrew Lee (李健秋) ]
  * Clean up of group membership after 2nd calls.
  * debian/salsa-ci.yml: build against to experimental.
  * debian/copyright: update.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sun, 22 Sep 2024 13:52:16 +0200
