=== debian/control ===
--- 
+++ 
@@ -1,18 +1,16 @@
 Source: screengrab
 Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
-Uploaders: Alf Gaida <agaida@siduction.org>,
-           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
+Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>
 Section: graphics
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               libkf5windowsystem-dev (>=5.101.0~),
-               libqt5x11extras5-dev (>=5.15.0~),
-               libqt5xdg-dev (>= 3.12.0~),
+               libkf6windowsystem-dev,
+               libqt6xdg-dev (>= 4.0.0~),
                libx11-xcb-dev,
                libxcb-xfixes0-dev [!kfreebsd-any],
                lxqt-build-tools,
-               qttools5-dev
+               qt6-tools-dev
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/lxqt-team/screengrab
 Vcs-Git: https://salsa.debian.org/lxqt-team/screengrab.git
