=== debian/changelog ===
screengrab (2.9.0-1) unstable; urgency=medium

  * New upstream version 2.9.0.
  * build-deps on libqt6xdg-dev (>= 4.1.0~).

 -- Macy Lin <macy@debconf.org>  Wed, 04 Dec 2024 22:33:02 +0100

screengrab (2.8.0-1) unstable; urgency=medium

  * debian/control: build-deps on libglib2.0-dev.
  * Upload to unstable.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 28 Nov 2024 20:39:43 +0100
