=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: screengrab
 Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
 Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
-           Andrew Lee (李健秋) <ajqlee@debian.org>
+           Andrew Lee (李健秋) <ajqlee@debian.org>,
+           Macy Lin <macy@debconf.org>
 Section: graphics
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
+               libglib2.0-dev,
                libkf6windowsystem-dev,
-               libqt6xdg-dev (>= 4.0.0~),
+               libqt6xdg-dev (>= 4.1.0~),
                libx11-xcb-dev,
                libxcb-xfixes0-dev [!kfreebsd-any],
                lxqt-build-tools,
