## screengrab 3.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,6 @@
 project(screengrab)
 
 include(GNUInstallDirs)
-set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 
 # options
 option(SG_DBUS_NOTIFY "Enable D-Bus notifications" ON)
@@ -17,12 +16,17 @@
 # Minimum Versions
 set(KF6_MINIMUM_VERSION "6.0.0")
 set(QT_MINIMUM_VERSION "6.6.0")
-set(QTXDG_MINIMUM_VERSION "4.1.0")
+set(SHELLQT_MINIMUM_VERSION "6.0.0")
+set(QTXDG_MINIMUM_VERSION "4.2.0")
+set(LXQTBT_MINIMUM_VERSION "2.2.0")
 
 find_package(Qt6Network ${QT_MINIMUM_VERSION} REQUIRED)
 find_package(Qt6Widgets ${QT_MINIMUM_VERSION} REQUIRED)
+find_package(Qt6WaylandClient ${QT_MINIMUM_VERSION} REQUIRED)
 find_package(Qt6LinguistTools  ${QT_MINIMUM_VERSION} REQUIRED)
+find_package(LayerShellQt ${SHELLQT_MINIMUM_VERSION} REQUIRED)
 find_package(KF6WindowSystem ${KF6_MINIMUM_VERSION} REQUIRED)
+find_package(lxqt2-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
 
 # right now we declare it as required
 find_package(X11 REQUIRED)
@@ -43,7 +47,7 @@
 set(CMAKE_AUTOUIC ON)
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 
-set(SCREENGRAB_VERSION "2.9.0")
+set(SCREENGRAB_VERSION "3.0.0")
 
 if (DEV_VERSION)
     set(VERSION "${SCREENGRAB_VERSION}-dev (${DEV_VERSION})")
@@ -63,10 +67,8 @@
 message(STATUS "Build type: " ${CMAKE_BUILD_TYPE})
 message(STATUS "Install prefix: " ${CMAKE_INSTALL_PREFIX})
 
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wnon-virtual-dtor -Woverloaded-virtual -Wall -Wextra")
-
-# Although the names, LXQtTranslateTs and LXQtTranslateDesktop, they don't
-#   bring any dependency on lxqt.
+include(LXQtPreventInSourceBuilds)
+include(LXQtCompilerSettings NO_POLICY_SCOPE)
 include(LXQtTranslateTs)
 include(LXQtTranslateDesktop)
 include(Qt6TranslationLoader)
@@ -83,7 +85,6 @@
 
 message(STATUS "Editing screenshots in external editor support: " ${SG_EXT_EDIT})
 message(STATUS "Enable D-Bus notifications: " ${SG_DBUS_NOTIFY})
-message(STATUS "Use system Qxt Library: " ${SG_USE_SYSTEM_QXT})
 message(STATUS "Update source translation translations/*.ts files: " ${UPDATE_TRANSLATIONS})
 
 # docs
@@ -114,6 +115,8 @@
     src/core/ui/configwidget.cpp
     src/core/ui/about.cpp
     src/core/ui/mainwindow.cpp
+    src/core/wayland/ScreenCopy.cpp
+    src/core/wayland/ScreenShot.cpp
 )
 
 if(SG_DBUS_NOTIFY)
@@ -205,7 +208,12 @@
 endif()
 
 # Link with Network. See pull#86. TODO: Should be optional when upload module is needed.
-target_link_libraries(screengrab qkeysequencewidget Qt6::Widgets KF6::WindowSystem Qt6::Network ${X11_LIBRARIES})
+target_link_libraries(screengrab qkeysequencewidget Qt6::Widgets KF6::WindowSystem Qt6::Network ${X11_LIBRARIES}
+LayerShellQtInterface Qt6::GuiPrivate Qt6::WaylandClient Qt6::WaylandClientPrivate Qt6::WaylandGlobalPrivate)
+
+qt6_generate_wayland_protocol_client_sources(screengrab FILES
+    ${CMAKE_CURRENT_SOURCE_DIR}/src/core/wayland/wlr-screencopy-unstable-v1.xml
+)
 
 # installing
 install(TARGETS screengrab RUNTIME DESTINATION bin)
