=== src/modules/extedit/CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,6 @@
 )
 
 lxqt_translate_ts(extedit_QMS
-    USE_QT5 TRUE
     UPDATE_TRANSLATIONS ${UPDATE_TRANSLATIONS}
     TEMPLATE "extedit"
     TRANSLATION_DIR "${CMAKE_SOURCE_DIR}/translations"
@@ -18,7 +17,7 @@
     INSTALL_DIR "${CMAKE_INSTALL_DATADIR}/${PROJECT_NAME}/translations"
 )
 
-qt5_translation_loader(extedit_QM_LOADER
+qt6_translation_loader(extedit_QM_LOADER
     "${CMAKE_INSTALL_FULL_DATADIR}/${PROJECT_NAME}/translations"
     "extedit"
 )
@@ -30,4 +29,4 @@
         ${extedit_QM_LOADER}
 )
 
-target_link_libraries(extedit Qt5::Widgets Qt5::X11Extras Qt5Xdg)
+target_link_libraries(extedit Qt6::Widgets Qt6Xdg)
