=== debian/control ===
Source: screengrab
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
Original-Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: graphics
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libkf6windowsystem-dev (>= 6.0.0),
               libqt6xdg-dev (>= 4.2.0),
               libx11-xcb-dev,
               libxcb-xfixes0-dev [!kfreebsd-any],
               lxqt-build-tools (>= 2.2.0),
               layer-shell-qt (>= 6.0.0),
               liblayershellqtinterface-dev (>= 6.0.0),
               qt6-wayland-dev (>= 6.6.0),
               qt6-base-private-dev (>= 6.6.0),
               qt6-wayland-private-dev (>= 6.6.0)
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/lxqt-team/screengrab
Vcs-Git: https://salsa.debian.org/lxqt-team/screengrab.git
Homepage: https://github.com/lxqt/screengrab
Rules-Requires-Root: no

Package: screengrab
Architecture: any
Depends: doc-base, ${misc:Depends}, ${shlibs:Depends}
Description: Crossplatform tool for getting screenshots
 Screengrab working in Linux and Windows. The program uses Qt and is
 independent of any desktop environment.
 Main features:
  * Get desktop screenshots
  * Get active window screenshots
  * Get secreenshots of desktop selection area
  * Copy screenshot to clipboard
  * Saving your image files in formats PNG or JPEG or BMP
  * Ability to set delay in getting screenshots (from 1 to 90 seconds)
