=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export LC_ALL=C.UTF-8

%:
	dh ${@} --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- \
	    -DSG_DBUS_NOTIFY=ON \
	    -DSG_EXT_EDIT=ON \
	    -DSG_GLOBALSHORTCUTS=OFF \
	    -DUPDATE_TRANSLATIONS=OFF \
	    -DCMAKE_BUILD_TYPE=RelWithDebInfo
