=== debian/control ===
--- 
+++ 
@@ -8,24 +8,23 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                libkf6windowsystem-dev (>= 6.0.0),
-               libqt6xdg-dev (>= 4.2.0),
+               libqt6xdg-dev (>= 4.3.0),
                libx11-xcb-dev,
-               libxcb-xfixes0-dev [!kfreebsd-any],
-               lxqt-build-tools (>= 2.2.0),
+               libxcb-xfixes0-dev,
+               lxqt-build-tools (>= 2.3.0),
                layer-shell-qt (>= 6.0.0),
                liblayershellqtinterface-dev (>= 6.0.0),
                qt6-wayland-dev (>= 6.6.0),
                qt6-base-private-dev (>= 6.6.0),
                qt6-wayland-private-dev (>= 6.6.0)
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/lxqt-team/screengrab
 Vcs-Git: https://salsa.debian.org/lxqt-team/screengrab.git
 Homepage: https://github.com/lxqt/screengrab
-Rules-Requires-Root: no
 
 Package: screengrab
 Architecture: any
-Depends: doc-base, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Crossplatform tool for getting screenshots
  Screengrab working in Linux and Windows. The program uses Qt and is
  independent of any desktop environment.
